@charset "UTF-8";

/* ==============================
common
================================= */

:root {
  --color-main: #C96A8D;
  --color-bg: #FFFCF7;
  --font-ja: "Kiwi Maru", serif;
  --font-coiny: "Coiny", system-ui;
  /* --font-en: "Gantari", sans-serif;
  --font-num: "Actor", sans-serif; */
  --boxshadow-pink-under: 0 4px 10.5px 0 rgba(201,106,141,0.7);
  --textshadow-pink-under:
      2px 0 0 #fff,
      -2px 0 0 #fff,
      0 2px 0 #fff,
      0 -2px 0 #fff,
      2px 2px 0 #fff,
      -2px -2px 0 #fff,
      2px -2px 0 #fff,
      -2px 2px 0 #fff,
      0 3px 6px rgba(201,106,141,0.8);
  --textshadow-pink-normal:0 3px 6px rgba(201,106,141,0.8);
  --textshadow-white-normal:0 0px 4px rgba(255, 255, 255, 1);
  --textshadow-pink-under-bold:
    11px 0 0 #fff,
    -11px 0 0 #fff,
    0 11px 0 #fff,
    0 -11px 0 #fff,
    11px 11px 0 #fff,
    -11px -11px 0 #fff,
    11px -11px 0 #fff,
    -11px 11px 0 #fff,
    0 3px 6px rgba(201,106,141,0.8);
}


html {
  font-size: 62.5%;
  overflow-x: hidden;
  position: relative;
  min-height: 100%;
  margin: 0 auto;
  width: 100%;
  display: flex;
  justify-content: center;
}



body {
  margin-bottom: 60px;
  font-family: var(--font-ja);
  font-style: normal;
  color: var(--color-main);
  background-color: var(--color-bg);
  line-height: 1.5;
  font-size: 1.4rem;
  font-weight: 400;
  
  background:
  linear-gradient(rgba(255,252,247,0.8), rgba(255,252,247,0.8)),
  url(../images/img_bgCheck.jpeg);
  /* background-image: url(../images/img_bgCheck.jpeg); */
  background-size: 500px;
  background-repeat: repeat;
  background-position: center;
  /* position: relative; */

  /* max-width: 375px; */
  max-width: 550px;
  margin: 0 auto;

  overflow-x: hidden;
}

main {
  padding-bottom: 0;

  @media (max-width: 375px) {
    overflow: hidden;
  }
}

img {
  max-width: 100%;
  height: auto;
}

.container {
  padding: 0;
  padding-right: 0;
  padding-left: 0;
}


a:active{
  color: #B289D1;
}

a:visited{
  color: var(--color-main);
}

/* .btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
} */

.btn-primary {
  color: transparent;
  background-color: transparent;
  border-color: transparent;
}


.pb-3 {
  padding-bottom: 0rem !important;
}



/* ==============================
header
================================= */
.header {
  position: fixed;
  top: 0;
  /* left: 0; */
  left: 50%;
  transform: translateX(-50%);

  width: 100%;
  max-width: 550px;
  z-index: 200;

  padding: 10px;

  display: flex;
  justify-content: space-between;
  /* align-items: right; */
  /* margin-left: auto; */
}


.img__bdLogo {
  width: 35px;
  /* box-shadow: var(--boxshadow-pink-under); */
}

.img__menu {
  
}

.overlay {
  position: fixed;
  inset: 0;
  /* background: rgba(0,0,0,0.3); */
  background: rgba(188, 147, 162, 0.5);
  z-index: 99;
  display: none;
}

.overlay.active {
  display: block;
}





/* ==============================
nav
================================= */

.nav__header {
  border-radius: 0 0 50px 50px;
  min-height: 670px;
  max-height: 670px;
  max-width: 550px;
  max-width: 550px;

  position: fixed;
  top: -100%;
  /* left: 0; */
  /* left: 0; */
  width: 100%;
  height: 100vh;
  background:
  linear-gradient(rgba(255,252,247,0.8), rgba(255,252,247,0.8)),
  url(../images/img_bgCheck.jpeg);
  /* background-image: url(../images/img_bgCheck.jpeg); */
  background-size: 500px;
  background-repeat: repeat;
  background-position: center;

  box-shadow: var(--boxshadow-pink-under);

  transition: top 0.5s ease;
  z-index: 100;
  overflow-y: auto;
  padding: 2rem;

    /* transform-origin: top;
  transform: rotateX(-90deg);
  transition: transform 0.6s ease;
    perspective: 1000px; */
  
}

.nav__header.open {
  top: 0;
  /* transform: rotateX(0); */
}

.nav {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;

  margin: 64px 0 0 0;
  
}

.nav__header__sticker {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}

.nav__title__header {
  z-index: 101;
}

.img__sticker__bubble__h {
  position: absolute;
  width: 110px;
  top: -4%;
  left: 70%;
}

.img__sticker__tulip {
  position: absolute;
  width: 90px;
  top: 60%;
  left: 0%;
}

.img__sticker__cherry {
  position: absolute;
  width: 100px;
  top: 130%;
  left: 70%;
  z-index: 100;
}

.img__sticker__crown__h {
  position: absolute;
  width: 90px;
  top: -30%;
  left: 10%;
  z-index: 100;
}

.img__sticker__diamond {
  position: absolute;
  width: 80px;
  top: 180%;
  left: 10%;
  z-index: 100;
}

.nav__list__header {
  z-index: 102;
}


/* 
.logo__name {
  font-family: "Great Vibes", cursive;
  font-size: 12.8rem;
}

.logo__age {
  font-family: "Gravitas One", serif;
  font-size: 2.4rem;
}

.logo__bd {
  font-family: "Gravitas One", serif;
  font-size: 2.4rem;
} */



/* ==============================
footer
================================= */

.footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  background:
  linear-gradient(rgba(255,252,247,0.8), rgba(255,252,247,0.8)),
  url(../images/img_bgCheck.jpeg);
  /* background-image: url(../images/img_bgCheck.jpeg); */
  background-size: 500px;
  background-repeat: repeat;
  background-position: center;
}

.footer__nav1 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;

  margin: 0 0 0 0;
}

.nav__title {
  width: 70%;
}

.nav__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 8px;

  margin: 16px 0;
}

.nav__item {
  text-shadow: var(--textshadow-pink-under);
}

.footer__bottom {
  display: flex;
  align-items: baseline;
  align-items: center;
  flex-direction: column;
}

.fb__text {
  font-size: 1.0rem;
  text-wrap-mode: nowrap;
}

.footer__nav2 {
  width: 100%;

  display: flex;
  flex-direction: row;
  justify-content: flex-end;

  margin-top: 64px;
  padding: 10px;
  gap: 10px;
}

.fn__link {
  font-size: 1.0rem;
}

.button__crowdFunding {
  width: 70%;
  max-width: 320px;
  display: flex;
  margin: 0px auto;
}

.cf2__img {
  /* width: 80%;
  max-width: 320px;
  display: flex;
  margin: -10px auto; */
}

/* ==============================
effect
================================= */

.heart{
  position: fixed;
  pointer-events: none;

  font-size: 24px;
  font-family: var(--font-coiny);
  color: #C96A8D;
  z-index: 9999;

  transform: translate(-50%, -50%);

  animation: heartFloat 1.2s ease-out forwards;
}

@keyframes heartFloat{
  0%{
    opacity: 1;
    transform: translate(-50%, -50%) scale(0.6) rotate(var(--r, 0deg));
  }
  100%{
    opacity: 0;
    transform: translateY(-120px) scale(1.2) rotate(var(--r, 0deg));
  }
}

.float{
    animation: floatY 5s ease-in-out infinite;
}

.sticker{
    opacity: 0;
    transform: translateY(40px) scale(0.8) rotate(-8deg);

    transition:
        transform 0.5s ease,
        opacity 0.5s ease;
}

.sticker.show{
    opacity: 1;
    transform: translateY(0) scale(1) rotate(0);
}

.sticker.show{
    animation: stickerPop 0.5s ease;
}

@keyframes stickerPop{
    0%   { transform: scale(0.7) rotate(-10deg); }
    60%  { transform: scale(1.1) rotate(3deg); }
    100% { transform: scale(1) rotate(0); }
}